Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.singularsys.jep.configurableparser.matchers
Class ArrayAccessGrammarMatcher

    java.lang.Object
      com.singularsys.jep.configurableparser.matchers.ArrayAccessGrammarMatcher

All Implemented Interfaces:
  GrammarMatcher, java.io.Serializable

    public class ArrayAccessGrammarMatcher

extends java.lang.Object
implements GrammarMatcher

Matches syntax for array element access a[3]. For multiple dimension arrays the syntax a[2][3] can be used.

See Also:
  Serialized Form

Constructor Summary
`ArrayAccessGrammarMatcher(SymbolToken open, SymbolToken close)` Construct a matcher for array access.

Method Summary
`void` | `init(Jep jep)` Delayed initialization, this methods is called whenever components of the jep instance are changed.
`Node` | `match(Lookahead2Iterator<Token> it, GrammarParser parser)` Test whether the input matches this pattern.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ArrayAccessGrammarMatcher

    public ArrayAccessGrammarMatcher(SymbolToken open,
                                     SymbolToken close)

  Construct a matcher for array access.

  Parameters:
    `open` - token representing the opening delimiter
    `close` - token representing the closing delimiter

Method Detail

### init

    public void init(Jep jep)

  Description copied from interface: `GrammarMatcher`
  Delayed initialization, this methods is called whenever components of the jep instance are changed.

  Specified by:
    `init` in interface `GrammarMatcher`
  Parameters:
    `jep` - the current jep instance.

### match

    public Node match(Lookahead2Iterator<Token> it,
                      GrammarParser parser)
               throws ParseException

  Description copied from interface: `GrammarMatcher`
  Test whether the input matches this pattern.

  Specified by:
    `match` in interface `GrammarMatcher`
  Parameters:
    `it` - An iterator inspecting the input
    `parser` - the parser to use when evaluating sub expressions
  Returns:
    if matched returns a node representing the content, return null is does not match
  Throws:
    `ParseException` - TODO

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Singular Systems http://www.singularsys.com/jep